Verify domain
curl --request POST \
--url https://api.urldn.com/v1/domains/{id}/verify \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.urldn.com/v1/domains/{id}/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.urldn.com/v1/domains/{id}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.urldn.com/v1/domains/{id}/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.urldn.com/v1/domains/{id}/verify"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.urldn.com/v1/domains/{id}/verify")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.urldn.com/v1/domains/{id}/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"domain": "links.mybrand.com",
"state": "dns_pending",
"verified": true,
"sslStatus": "pending",
"isApex": true,
"dnsRecords": [
{
"type": "CNAME",
"name": "<string>",
"value": "<string>"
}
],
"verificationExpiresAt": "2023-11-07T05:31:56Z",
"lastVerified": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"checks": {
"cname": true,
"txt": true
},
"message": "<string>"
}{
"error": "quota_exceeded",
"message": "<string>",
"details": {}
}{
"error": "quota_exceeded",
"message": "<string>",
"details": {}
}{
"error": "quota_exceeded",
"message": "<string>",
"details": {}
}{
"error": "quota_exceeded",
"message": "<string>",
"details": {}
}Domains
Verify domain
Requires the domains:write scope. Checks your DNS records now and returns 200 either way:
read verified and checks. Verifying doesn’t move any links. To use the domain, set domain
when you create or update a link.
Limited to 10 domain requests per minute per account, together with create.
POST
/
domains
/
{id}
/
verify
Verify domain
curl --request POST \
--url https://api.urldn.com/v1/domains/{id}/verify \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.urldn.com/v1/domains/{id}/verify"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.urldn.com/v1/domains/{id}/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.urldn.com/v1/domains/{id}/verify",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.urldn.com/v1/domains/{id}/verify"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.urldn.com/v1/domains/{id}/verify")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.urldn.com/v1/domains/{id}/verify")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"domain": "links.mybrand.com",
"state": "dns_pending",
"verified": true,
"sslStatus": "pending",
"isApex": true,
"dnsRecords": [
{
"type": "CNAME",
"name": "<string>",
"value": "<string>"
}
],
"verificationExpiresAt": "2023-11-07T05:31:56Z",
"lastVerified": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"checks": {
"cname": true,
"txt": true
},
"message": "<string>"
}{
"error": "quota_exceeded",
"message": "<string>",
"details": {}
}{
"error": "quota_exceeded",
"message": "<string>",
"details": {}
}{
"error": "quota_exceeded",
"message": "<string>",
"details": {}
}{
"error": "quota_exceeded",
"message": "<string>",
"details": {}
}Response
The domain and what the check found
